package com.cloudcross.ssp.service.impl;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cloudcross.ssp.base.dao.GenericIBatisDao;
import com.cloudcross.ssp.common.utils.MapBuilder;
import com.cloudcross.ssp.model.AdgroupWifi;
import com.cloudcross.ssp.service.IAdgroupWifiService;
@Service
public class AdgroupWifiService implements IAdgroupWifiService {

	@Autowired
	private GenericIBatisDao mbatisDao;
	
	public void saveAdgroupWifi(AdgroupWifi adgroupWifi,List<Long>wifiList){
		mbatisDao.save("adgroupWifiSqlMapper.addAdGroupWifiBatch",MapBuilder.create(HashMap.class)
				.add("wifiIdList",wifiList)
				.add("adgroupWifi",adgroupWifi)
				.map());
	}
}
